Subject: [PATCH] macOS build error (aligned_alloc)

From: Paul Eggert <[email-masked]>
Date: Mon, 23 Sep 2019 13:02:15 -0700

I'm not seeing why this patch is needed. If you build with tools that 
expect a macOS version N library, Emacs can't be expected to run on a 
system that has older libraries.

Put it another way: if we install this patch, for consistency shouldn't 
we install a similar patch for every other function that 'configure' 
checks for, and have 'configure' do a run-time test instead of just a 
link-time test for the function?